/*

 utf8.h - A mostly working PCLink server for IDEDOS 0.9x

 Written by
  Kajtar Zsolt <soci@c64.rulez.org>

    This file is part of IDEDOS the IDE64 disk operating system
    See README for copyright notice.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef UTF8_H
#define UTF8_H
#ifdef _WIN32
#include <wchar.h>

extern int unc_path;
extern int use_wide;
extern unsigned int utf8in(const char *, unsigned int *);
extern unsigned int utf8out(unsigned int, char *);
extern wchar_t *utf8_to_wchar(const char *);
extern wchar_t *utf8_to_wcharpath(const char *);
extern char *wchar_to_utf8(const wchar_t *);
extern char *utf8_to_char(const char *);
extern char *utf8_to_charpath(const char *);
extern char *char_to_utf8(const char *);
extern int utf8_mkdir(const char *);
extern int utf8_rmdir(const char *);
extern int utf8_unlink(const char *);
extern int utf8_open(const char *, int, int);
#else
#define utf8_mkdir(a) mkdir(a, 0777)
#define utf8_rmdir(a) rmdir(a)
#define utf8_unlink(a) unlink(a)
#define utf8_open(a, b, c) open((a),(b),(c))
#endif
#endif
